Find Traffic Controls (Advanced)
curl --request POST \
--url https://api.eflow.team/v1/networks/trafficcontrolstable \
--header 'Content-Type: application/json' \
--header 'X-Eflow-Api-Key: <api-key>' \
--data '
{
"search_terms": [
{
"search_type": "name",
"value": "search query"
}
],
"filters": {
"status": "active",
"network_offer_ids": [
1
]
}
}
'import requests
url = "https://api.eflow.team/v1/networks/trafficcontrolstable"
payload = {
"search_terms": [
{
"search_type": "name",
"value": "search query"
}
],
"filters": {
"status": "active",
"network_offer_ids": [1]
}
}
headers = {
"X-Eflow-Api-Key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'X-Eflow-Api-Key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
search_terms: [{search_type: 'name', value: 'search query'}],
filters: {status: 'active', network_offer_ids: [1]}
})
};
fetch('https://api.eflow.team/v1/networks/trafficcontrolstable', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"controls": [
{
"network_traffic_control_id": 1,
"network_id": 1,
"name": "Block Bad Sources",
"status": "active",
"is_apply_all_affiliates": true,
"is_apply_all_offers": true,
"control_type": "blacklist",
"time_created": 1774721611,
"time_saved": 1774721611,
"network_offer_ids": null,
"network_affiliate_ids": null,
"network_advertiser_ids": null
}
],
"paging": {
"page": 1,
"page_size": 50,
"total_count": 1
}
}Traffic Controls
Find Traffic Controls (Advanced)
POST
/
networks
/
trafficcontrolstable
Find Traffic Controls (Advanced)
Retrieve a paginated list of traffic controls with search and filter support. Unlike the basic GET endpoint, this returns traffic controls with additional filter capabilities.
Pagination is controlled through the
page and page_size query parameters, not the JSON request body. For example, ?page=2&page_size=100 returns the second page of 100 results.Authorizations
The Everflow API key generated from the Control Center > Security.
Query Parameters
The page of results to retrieve.
Required range:
x >= 1The number of results to return per page.
Required range:
x >= 1Body
application/json
Was this page helpful?
⌘I
